c**********************************************************************
c IO_INIT_OTHER.F
c**********************************************************************
c Read other parameters related to integrator
c
c Input:
c  infile	name of the other-data input file
c  nbod		number of massive bodies (including the Sun)
c  ntp		number of test particles
c
c Output:
c  a_mean2, a_mean2	(mean) semimajor axis values for discard criterion
c  iflgchk		for future compatibility...
c
c
c Remarks: 
c Author: Miroslav Broz, miroslav.broz@email.cz
c Date: Feb 12th 2002

      subroutine io_init_other(infile,nbod,ntp,a_mean1,a_mean2,iflgchk)

      include 'swift.inc'

c  input
      character*(*) infile
      integer nbod,ntp,iflgchk

c  output
      real*8 a_mean1,a_mean2

c  internal
      integer ierr

c  main ----------------------------------------------------------
      write(*,*) 'other-data file called ',infile
      call io_open(7,infile,'old','formatted',ierr)

      read(7,*,err=99,end=99) a_mean1, a_mean2

      close(unit = 7)
      write(*,*) ' '
      return

99    continue
      write(*,*) 'Error reading file',infile
      stop

      end    ! io_init_other.f
c-----------------------------------------------------------------

